﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

image bg start = "test1.png"
image bg w = "test2.png"
image bg s = "test3.png"
image bg e = "test4.png"
image bg ee = "test5.png"
image bg eee = "test6.png"
image bg closedlockedhatch = "test7.png"
image bg doublelockedlock = "test8.png"
image bg doubleunlockedlock = "test9.png"
image bg openhatch = "test10.png"
image bg black = "test11.png"
image bg ww = "test12.png"
image bg www = "test13.png"
image bg wwww = "test14.png"
image bg templefoot = "test15.png"
image bg temple = "test16.png"
image bg piedestal = "test17.png"
image bg keytemple0 = "test19.png"
image bg keytemple1 = "test18.png"
image bg keytemple2 = "test20.png"
image bg keytemple3 = "test21.png"
image bg abstract = "test22.png"
image bg n = "test24.png"
image bg keydebris0 = "test23.png"
image bg keydebris1 = "test25.png"
image bg keydebris2 = "test26.png"
image bg ss = "test27.png"
image bg flower0 = "test28.png"
image bg flower1 = "test29.png"
image bg flower2 = "test30.png"
image bg flower3 = "test31.png"
image bg flower4 = "test32.png"
image bg flower5 = "test33.png"
image bg flower6 = "test34.png"
image bg fire0 = "test35.png"
image bg fire1 = "test36.png"
image bg fire2 = "test37.png"
image bg fire3 = "test38.png"
image bg white = "test39.png"
image bg cellar = "test40.png"
image bg cellarlock = "test41.png"
image bg cellarunlocked = "test42.png"
image bg path0 = "test43.png"
image bg path1 = "test44.png"
image bg path2 = "test47.png"
image bg path3 = "test45.png"
image bg path4 = "test49.png"
image bg path5 = "test48.png"
image bg pathlock = "test46.png"
image bg pathstart = "test50.png"
image bg closedunlockedhatch = "test51.png"
image bg doublegonelock = "test52.png"
image bg dino0 = "test53.png"
image bg dino1 = "test54.png"
image bg end = "test55.png"


# Declare characters used by this game.
define e = Character('', color="#ffffff")
define d = Character('Dinosaur', color="#2BE01B")


# The game starts here.

label start:
    
    $ intro = True
    $ blackkey = False
    $ whitekey = False
    $ hatchlocked = True
    $ cellaropen = False
    $ pathvisited = False
    $ debrisvisited = False
    $ nv = False
    $ wv = False
    $ ev = False
    
    jump vista

label vista:
    
    scene bg start
    with Dissolve(.5)

    if intro:
        e "..."
        e "You awaken."
        e "You feel no sense of purpose..."
        e "It's been so long..."
        $ intro = False

    e "A barren wasteland surrounds you..."
    
    e "..."
    
    e "What will you do?"
    
    menu:
        "Go North.":
            jump pile0
        "Go West.":
            jump sculp0
        "Go East.":
            jump hill0
        "Go South.":
            jump pattern0

label pile0:
    
    scene bg n
    with Dissolve(.5)
    
    e "..."
    e "A pile of debris..."
    if blackkey:
        "There's nothing more for you here..."
        if pathvisited:
            $ nv = True
        menu:
            "Go back.":
                jump vista
    e "What will you do?"
    menu:
        "Continue.":
            jump pile1
        "Go back.":
            jump vista
    
label pile1:
    
    scene bg keydebris0
    with Dissolve(.5)
    
    e "..."
    if debrisvisited:
        e "There's something down there..."
        scene bg keydebris1
        with Dissolve(.5)
    
        e "It's a black key..."
    
        scene bg keydebris2
        with Dissolve(.5)
    
        e "You take it with you."
        $ blackkey = True
    
        jump pile0
    else:
        e "There appears to be nothing of importance in the pile."
        $ debrisvisited = True
        menu:
            "Go back.":
                jump pile0

label sculp0:
    
    scene bg w
    with Dissolve(.5)
    
    e "..."
    e "Strange shapes are visible in the distance..."
    e "What will you do?"
    menu:
        "Continue.":
            jump sculp1
        "Go back.":
            jump vista

label sculp1:
    
    scene bg ww
    with Dissolve(.5)
    
    e "..."
    e "What will you do?"
    menu:
        "Continue.":
            jump sculp2
        "Go back.":
            jump sculp0
            
label sculp2:
    
    scene bg www
    with Dissolve(.5)
    
    e "..."
    e "Strangely shaped statues loom. They almost look human..."
    if not whitekey:
        e "Something is beckoning you ahead..."
    menu:
        "Continue.":
            jump sculp3
        "Go back.":
            jump sculp1
            
label sculp3:
    
    scene bg wwww
    with Dissolve(.5)
    
    e "..."
    e "There is some kind of structure at the foot of the statue..."
    e "What will you do?"
    menu:
        "Continue.":
            jump sculp4
        "Go back.":
            jump sculp2
            
label sculp4:
    
    scene bg templefoot
    with Dissolve(.5)
    
    e "..."
    e "A temple carved in the stone..."
    menu:
        "Continue.":
            jump sculp5
        "Go back.":
            jump sculp3
            
label sculp5:
    
    scene bg temple
    with Dissolve(.5)
    
    e "..."
    e "Trying to look into the darkness within the temple makes you nauseous."
    if whitekey:
        e "There's nothing more for you here..."
        if pathvisited:
            $ wv = True
        menu:
            "Go back.":
                jump sculp4
    e "There is something at the top of the stairs..."
    menu:
        "Continue.":
            jump sculp6
        "Go back.":
            jump sculp4

label sculp6:
    
    scene bg piedestal
    with Dissolve(.5)
    
    e "..."
    e "It's cold inside the temple."
    e "A lone slab of stone stands between the two pillars."
    
    scene bg keytemple0
    with Dissolve(.5)
    
    e "There is a small socket in the stone filled with black dust."
    e "You try to clear the dust..."
    
    scene bg keytemple1
    with Dissolve(.5)
    
    e "There seems to be a white key attached..."
    
    scene bg keytemple2
    with Dissolve(.5)
    
    e "You take it with you."
    
    scene bg keytemple3
    with Dissolve(.5)
    $ whitekey = True
    
    e "..."
    
    scene bg piedestal
    with Dissolve(.5)
    jump sculp5
    
label pattern0:
    
    scene bg s
    with Dissolve(.5)
    
    e "..."
    e "The strange pattern ahead makes you feel uneasy."
    e "What will you do?"
    menu:
        "Continue.":
            jump pattern1
        "Go back.":
            jump vista
    
label pattern1:
    
    scene bg ss
    with Dissolve(.5)
    
    e "This is strange..."
    if not pathvisited:
        e "There is a sudden burst of pain in your head."
        e "You feel you shouldn't be here..."
    e "What will you do?"
    menu:
        "Continue.":
            jump pattern2
        "Go back.":
            jump pattern0
            
label pattern2:
    
    scene bg flower0
    with Dissolve(.5)
    if nv and wv and ev:
        scene bg dino0
        with Dissolve(.5)
        d "What the..."
        scene bg dino1
        with Dissolve(.5)
        d "What the fuck, man!"
        scene bg black
        with Dissolve(.5)
        e "*YOU ARE DEAD*"
        return
    if pathvisited:
        e "..."
        scene bg end
        with Dissolve(.5)
        e "..."
        scene bg white
        with Dissolve(.5)
        return
    else:
        e "You fall on the ground and vomit."
        e "..."
        e "You shouldn't have come here..."
        e "Lying on the ground, you see a flower ahead of you."
        e "You muster your last strength."
        menu:
            "Continue.":
                jump whiteout
            "Go back.":
                jump pattern1
        
label whiteout:

    scene bg flower1
    with Dissolve(.5)
    e "..."
    e "You shouldn't have come here..."
    e "Your brain is hemorrhaging..."
    e "..."
    e "You stare into the flower..."
    scene bg flower2
    with Dissolve(.5)
    e "..."
    scene bg flower3
    with Dissolve(.5)
    e "..."
    scene bg flower4
    with Dissolve(.5)
    e "..."
    scene bg flower5
    with Dissolve(.5)
    e "..."
    scene bg flower6
    with Dissolve(.5)
    e "..."
    scene bg black
    with Dissolve(.5)
    e "..."
    scene bg fire0
    with Dissolve(.5)
    e "A spark ignites the darkness."
    scene bg fire1
    with Dissolve(.5)
    e "It blossoms into a small flame."
    scene bg fire2
    with Dissolve(.5)
    e "You begin to lose consciousness."
    scene bg fire3
    with Dissolve(.5)
    e "You are slowly being erased."
    scene bg white
    with Dissolve(.5)
    e "You are dead."
    return
    
label hill0:
    scene bg e
    with Dissolve(.5)
    e "..."
    e "There is a hill ahead..."
    menu:
        "Continue.":
            jump hill1
        "Go back.":
            jump vista

label hill1:
    scene bg ee
    with Dissolve(.5)
    e "..."
    e "What will you do?"
    menu:
        "Continue.":
            jump hill2
        "Go back.":
            jump hill0
            
label hill2:
    scene bg eee
    with Dissolve(.5)
    e "..."
    e "There is something ahead..."
    menu:
        "Continue.":
            jump hatch
        "Go back.":
            jump hill1

label hatch:
    if hatchlocked:
        scene bg closedlockedhatch
        with Dissolve(.5)
        e "It's a hatch..."
        scene bg doublelockedlock
        with Dissolve(.5)
        e "...but it's locked."
        e "The lock seems to require two keys..."
        if blackkey and whitekey:
            e "You use the two ones you have."
            scene bg doubleunlockedlock
            with Dissolve(.5)
            e "..."
            scene bg doublegonelock
            with Dissolve(.5)
            scene bg closedunlockedhatch
            with Dissolve(.5)
            e "You open the hatch..."
            $ hatchlocked = False
            jump hatch
        else:
            e "What will you do?"
            menu:
                "Go back.":
                    scene bg closedlockedhatch
                    with Dissolve(.5)
                    jump hill2
    scene bg openhatch
    with Dissolve(.5)
    if pathvisited:
        e "The hatch is open, but you feel there is no need for you to climb down again."
        $ ev = True
        jump hill2
    e "The hatch is open. There is a comfortably placed ladder heading down."
    e "What will you do?"
    menu:
        "Descend down the ladder.":
            jump descend
        "Go back.":
            jump hill2
            
label descend:
    scene bg black
    with Dissolve(.5)
    e "You climb for what seems like an eternity in total darkness..."
    e "..."
    jump room
    
label ascend:
    scene bg black
    with Dissolve(.5)
    e "You climb for what seems like an eternity in total darkness..."
    e "..."
    jump hatch
    
label room:
    if not cellaropen:
        scene bg cellar
        with Dissolve(.5)
        e "Before you know it, you are in some kind of room."
        e "There is a door ahead. There is also the ladder back to the surface."
        e "What will you do?"
        menu:
            "Examine door.":
                scene bg cellarlock
                with Dissolve(.5)
                e "The door seems to be locked."
                e "However..."
                e "The lock seems to be open."
                scene bg cellarunlocked
                with Dissolve(.5)
                $ cellaropen = True
                jump room
            "Climb back.":
                jump ascend
    scene bg path0
    with Dissolve(.5)
    e "..."
    e "The door is open."
    menu:
        "Go on ahead.":
            jump path
        "Climb back.":
            jump ascend

label path:
    scene bg path1
    with Dissolve(.5)
    e "You continue along the dark tunnel..."
    e "..."
    scene bg path2
    with Dissolve(.5)
    e "..."
    e "There is no end in sight. You think you have walked for several hours."
    e "..."
    scene bg path3
    with Dissolve(.5)
    e "..."
    e "There is no end in sight. You think you have walked for several hours."
    e "..."
    scene bg path4
    with Dissolve(.5)
    e "..."
    e "There is no end in sight. You think you have walked for several hours."
    e "..."
    scene bg path5
    with Dissolve(.5)
    e "..."
    e "There is no end in sight. You think you have walked for several hours."
    e "..."
    scene bg pathlock
    with Dissolve(.5)
    e "..."
    e "Suddenly, you arrive at a lock."
    e "You stare at it for several minutes."
    e "..."
    e "Fortunately, the door is unlocked."
    scene bg pathstart
    with Dissolve(.5)
    e "This seems familiar..."
    e "..."
    $ pathvisited = True
    jump vista
    
                
                
        
            
        
            